# N.B.: This role assumes you've already provisioned all routes beforehand.
# e.g.: 'oc expose svc xxx'
- name: Register app in SSO
  block:
    - name: Trigger re-registration for all routes under SSO
      shell: |
          oc annotate route nginx -n {{ namespace | quote }} ssomgr.cern.ch/registered-authorization- ssomgr.cern.ch/registered-type- ssomgr.cern.ch/registered-uri- ssomgr.cern.ch/registration-info-
  rescue:
    - name: Writing Termination Message '/dev/termination-log'
      shell: >
        echo "Failed task -> {{ ansible_failed_task.name }}.
        Error was -> {{ ansible_failed_result.msg }}"
        > /dev/termination-log

    - fail:
        msg: "Error in task {{ ansible_failed_task.name }}: {{ ansible_failed_result.msg }}"